//***************************************************************************
function is_windows_host ( host )
// O------------------------------------------------------------------------O
// | Funktion   : Windows-Host abfragen                                     |
// U------------------------------------------------------------------------U
// EP    : host          - aktueller Hostname (program.host)
// AP    : Returnwert    - true  : aktueller Host ist Windows-Host
//                         false : aktueller Host ist kein Windows-Host
// --------------------------------------------------------------------------
// Autor        : P. Artmann (ArP)           Datum : 12.09.1996
// Bearbeiter   :
// akt. Stand   : 12.09.1996
// --------------------------------------------------------------------------
// Beschreibung :  
// --------------  
// --------------------------------------------------------------------------
// Aenderungen :
// -------------
//***************************************************************************
//
// Funktion zur Abfrage auf Windows
// WINDOWS/NT_PC
// WINDOWS/95_PC
// WINDOWS/3.X_PC


  if (valid (host)) then
    ishost = host
  else
    ishost = program.host
  end
  if not valid(ishost) then ishost= program.sysname end // beatool

  if (substr (ishost,1,7) = "WINDOWS") then
    return (true)
  else
    return (false)
  end
end

//***************************************************************************
function changeSlashToBackslash ( var str )
// O------------------------------------------------------------------------O
// | Funktion   : Change a "/" into a "\"                                   |
// U------------------------------------------------------------------------U
// EP    : str         String
// AP    : Return      The changed string
// --------------------------------------------------------------------------
// Autor        : Gerhard Meier              Datum : 5.11.97
// Bearbeiter   :
// akt. Stand   : ???
// --------------------------------------------------------------------------
// Beschreibung :  Changes all "/" to "\\" in a string.
// --------------  Runs on DOS / WINDOWS only.
//                 For compatibility to UNIX the system attributes return in 
//                 pathnames the / . The DOS-shells need in pathnames a \ ,
//                 so we have to translate it.
// --------------------------------------------------------------------------
// Aenderungen :
// -------------
//***************************************************************************

  if (tmphost = "DOS_PC"  or  is_windows_host (program.host)) then
    l = len (str)
    i = 1
    dummy=""
    while ( i <= l ) do
      if (substr (str,i,i) = "/") then
        dummy = dummy + "\\"
      else
        dummy = dummy + substr (str,i,i)
      end
      i = i + 1
    end
    str = dummy
  end
end

//***************************************************************************
function changeBackslashToSlash ( var str )
// O------------------------------------------------------------------------O
// | Funktion   : Change a "\" into a "/"                                   |
// U------------------------------------------------------------------------U
// EP    : str         String
// AP    : Return      The changed string
// --------------------------------------------------------------------------
// Autor        : Christian Manitz              Datum : 7.5.99
// Bearbeiter   :
// akt. Stand   : ???
// --------------------------------------------------------------------------
// Beschreibung :  Changes all "\" to "/" in a string.
// --------------  Runs on DOS / WINDOWS only.
//                 Sometimes we need '/' consistently for internal use.
// --------------------------------------------------------------------------
// Aenderungen :
// -------------
//***************************************************************************

  if (tmphost = "DOS_PC"  or  is_windows_host (program.host)) then
    l = len (str)
    i = 1
    dummy=""
    while ( i <= l ) do
      if (substr (str,i,i) = "\\") then
        dummy = dummy + "/"
      else
        dummy = dummy + substr (str,i,i)
      end
      i = i + 1
    end
    str = dummy
  end
end

//***************************************************************************
function GetTempDir ()
// O------------------------------------------------------------------------O
// | Funktion   : Get the temporary working area                            |
// U------------------------------------------------------------------------U
// EP    : -
// AP    : Return    - Directory name of the temporary working area
//                     incl. "/" resp. "\"
//                     NT  : content of env. variable $TEMP or $TMP
//                     UNIX: "/usr/tmp/" or "/tmp/"
//                   - invalid: area not available
// --------------------------------------------------------------------------
// Autor        : Christian Manitz           Datum : 5.11.97
// Bearbeiter   :
// akt. Stand   : 5.11.97
// --------------------------------------------------------------------------
// Beschreibung :  Returns the temp. working area of the disk incl. / or \ .
// --------------  
// --------------------------------------------------------------------------
// Aenderungen :
// -------------
//***************************************************************************

  if (is_windows_host (program.host)) then
    TempDir = getenv ("TEMP")
    if (valid (TempDir)  and  existd (TempDir)) then
      return (TempDir + "\\")
    else
      TmpDir = getenv ("TMP")
      if (valid (TmpDir)  and  existd (TmpDir)) then
        return (TmpDir + "\\")
      end
    end
  else
    TempDir = "/usr/tmp"
    if (existd (TempDir)) then
      return (TempDir + "/")
    else
      TmpDir = "/tmp"
      if (existd (TmpDir)) then
        return (TmpDir + "/")
      end
    end
  end

  return (invalid)

end  // GetTempDir
