//***********************************************************************<NP>
// O------------------------------------------------------------------------O
// |  AQL       : bom_allg.inc               Project :                      |
// U------------------------------------------------------------------------U
// Author       :                            Datum : 23.11.1995
// Bearbeiter   : P. Artmann
// akt. Stand   : 24.11.1995
// --------------------------------------------------------------------------
// Beschreibung :  Hier sind alle allgemein bentigten Funktionen enthalten.
// --------------  
// --------------------------------------------------------------------------
// nderungen :
// -------------
//***************************************************************************
//
//***********************************************************************<NP>
function get_bom_filename( )
// O------------------------------------------------------------------------O
// | Function   : Dateiname fr die BOM-Attributbeschreibung ermitteln     |
// U------------------------------------------------------------------------U
// AP    : Returnwert    - Dateiname
// --------------------------------------------------------------------------
// Author       : P. Artmann                 Datum : 29.01.1996
// Bearbeiter   : P. Artmann
// akt. Stand   : 29.01.1996
// --------------------------------------------------------------------------
// Beschreibung :  Der Name der Datei, in der die Beschreibung der Stck-
// --------------  listenattribute enthalten ist, wird ermittelt.
// --------------------------------------------------------------------------
// nderungen :
// -------------
//***************************************************************************
//
    // get config directory
    config_directory = "#/design_config/"
    if "-config_dir" in program.args then
       config_directory = index(program.args, pos (program.args, "-config_dir") + 1) + "/design_config/"
    end

    switch program.language
        case "deutsch" : return (config_directory + "De.bom")
        case "russian" : return (config_directory + "Ru.bom")
        case "espanol" : return (config_directory + "Es.bom")
        otherwise      : return (config_directory + "En.bom")
    end
end
//
//***********************************************************************<NP>
function cut_blanks( blankstr )
// O------------------------------------------------------------------------O
// | Function   : Blanks entfernen                                          |
// U------------------------------------------------------------------------U
// EP/AP : blankstr      - zu behandelnder String
// --------------------------------------------------------------------------
// Author       :                            Datum : 23.11.1995
// Bearbeiter   : P. Artmann
// akt. Stand   : 29.01.1996
// --------------------------------------------------------------------------
// Beschreibung :  In einem String werden alle abschliessenden Blanks
// --------------  entfernt.
// --------------------------------------------------------------------------
// nderungen :
// -------------
//***************************************************************************
//
   i = len( blankstr )
   while i > 0 and substr(blankstr, i, i) = " " do
      i = i - 1
   end
   return ( substr(blankstr, 1, i) )
end
//
//***********************************************************************<NP>
function read_bom_file_attname ( )
// O------------------------------------------------------------------------O
// | Function   : Attribute der Stcklisten ermitteln                      |
// U------------------------------------------------------------------------U
// AP    : Returnwert    - Gruppe der Stcklistenattribute
// --------------------------------------------------------------------------
// Author       : P. Artmann                 Datum : 29.01.1996
// Bearbeiter   : P. Artmann
// akt. Stand   : 29.01.1996
// --------------------------------------------------------------------------
// Beschreibung :  Aus der DAtei, in der die Stcklistenattribute definiert
// --------------  sind, werden alle mglichen Attributnamen ausgelesen und
//                 als Gruppe zurckgegeben.
// --------------------------------------------------------------------------
// nderungen :
// -------------
//***************************************************************************
//
   // Dateiname der Beschreibungsdatei ermitteln
   //
   filename = get_bom_filename ()
   //
   // Position, Identification, Quantity sind Applikationsdefiniert und kommen
   // in der Datei nicht mehr vor,
   // -> diese Attribute sind auf jeden Fall vorhanden !!
   //
   AttribGroup = { "Position", "Identification", "Quantity" }
   //
   // Datei prfen
   //
   if not file_access ( filename, "r" ) then
      // Datei ist nicht vorhanden oder konnte nicht gelesen werden.
      // Es wird die Default-Gruppe verwendet !!
      //display_error ( translate_message(run_err_no_read_access, filename) )
      return(AttribGroup)
   end
   //
   file filename input      // Eingabedatei ffnen
   //
   // Alle Zeilen der Eingabedatei lesen
   h = ""
   while valid( h ) do
      parse_comment()
      h = parse_line()
      if valid( h ) then
         gp = eval( h )
         attname = cut_blanks(gp.el_1)
         AttribGroup = AttribGroup + attname
      end
   end
   close()                 // Datei wieder schliessen
   //
   return (AttribGroup)    // Attribute zurckgeben
end
//
